Package be.vlaanderen.mercurius.mohm.common.v7

# Class ApplicationViewMobilityToolType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ApplicationViewMobilityToolType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ApplicationViewMobilityToolType extends Object implements Serializable
Generiek type voor het mobiliteitshulpmiddel in het beeld van een aanvraag.

Java class for ApplicationViewMobilityToolType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationViewMobilityToolType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BasicEquipment" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationViewBasicEquipmentType" minOccurs="0"/>
             <element name="Accessory" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationViewAccessoryType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationViewMobilityToolType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ApplicationViewAccessoryType>`
  `getAccessories()`
  Gets the value of the accessories property.
  `ApplicationViewBasicEquipmentType`
  `getBasicEquipment()`
  Gets the value of the basicEquipment property.
  `void`
  `setBasicEquipment(ApplicationViewBasicEquipmentType value)`
  Sets the value of the basicEquipment property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationViewMobilityToolType

    public ApplicationViewMobilityToolType()

- ## Method Details

  - ### getBasicEquipment

    public ApplicationViewBasicEquipmentType getBasicEquipment()
    Gets the value of the basicEquipment property.
    Returns:
      possible object is `ApplicationViewBasicEquipmentType`

  - ### setBasicEquipment

    public void setBasicEquipment(ApplicationViewBasicEquipmentType value)
    Sets the value of the basicEquipment property.
    Parameters:
      `value` - allowed object is `ApplicationViewBasicEquipmentType`

  - ### getAccessories

    public List<ApplicationViewAccessoryType> getAccessories()
    Gets the value of the accessories property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the accessories property.

    For example, to add a new item, do as follows:

         getAccessories().add(newItem);

    Objects of the following type(s) are allowed in the list `ApplicationViewAccessoryType`

    Returns:
      The value of the accessories property.